# $Revision: 1.13 $, $Date: 2004/11/05 07:29:06 $
#
# Conditional build
%bcond_with	ladcca	# with LADCCA support
#
Summary:	Virtual Keyboard
Summary(pl):	Wirtualne klawisze
Name:		vkeybd
Version:	0.1.17
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://www.alsa-project.org/~iwai/%{name}-%{version}.tar.gz
# Source0-md5:	3be348329a5aac3cdc21f89458d9369a
Source1:	%{name}rc
Source2:	%{name}.desktop
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-lib64.patch
URL:		http://www.alsa-project.org/alsa.html
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
%{?with_ladcca:BuildRequires:	ladcca-devel >= 0.4.0}
BuildRequires:	tk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a virtual keyboard for AWE, MIDI and ALSA drivers. It's a
simple fake of a MIDI keyboard.

%description -l pl
Wirtualne klawisze dla sterownikw AWE, MIDI i ALSA. Program "udaje"
klawisze syntezatora MIDI.

%prep
%setup -q -n %{name}
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

%build
%{__make} %{?with_ladcca:USE_LADCCA=1}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-all \
	DESTDIR=$RPM_BUILD_ROOT

install -c %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/vkeybd
install -c %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT%{_pixmapsdir}/vkeybd_48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/vkeybd.png
rm -f $RPM_BUILD_ROOT%{_pixmapsdir}/vkeybd_*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/vkeybd
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vkeybd.spec,v $
Revision 1.13  2004/11/05 07:29:06  ankry
- amd64 build fix, rel. 2

Revision 1.12  2004/11/04 22:17:24  freetz
- 0.1.17, STBR

Revision 1.11  2004/03/24 00:56:08  freetz
- 0.1.16
- my temporary icon file removed and replaced with included one
- simplified and fixed install

Revision 1.10  2003/11/22 14:54:10  freetz
- ladcca support is back (bcond added)

Revision 1.9  2003/11/22 14:43:42  freetz
- 0.1.15

Revision 1.8  2003/10/04 11:22:41  freetz
- up to 0.1.14
- ladcca is out (it's no longer developed)
- some patch polishing
- added wonderfull self made icon (sodipodi rocks!)

Revision 1.7  2003/08/09 21:24:55  ankry
- some pl translations, cosmetics

Revision 1.6  2003/07/21 22:23:42  freetz
- up to 0.1.13a (enabled ladcca support)

Revision 1.5  2003/06/21 15:09:34  freetz
- updated URLs and Source0 md5
- new Makefile patch (new tk soname)

Revision 1.4  2003/05/28 13:02:35  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/06 21:49:59  qboosh
- simplified files, removed %%{_mandir}/man? dir(s)

Revision 1.1  2003/05/05 23:57:03  luzik
- initial release, made by
        Fryderyk Dziarmagowski <freetz@gmx.net>
